## liburcu 0.15.3

=== debian/changelog ===
liburcu (0.15.3-1) unstable; urgency=medium

  * [303c02d] New upstream version 0.15.3
  * [1b193c7] Bump standards version to 4.7.2
  * [b9a6a7b] Update debian/copyright
  * [4c2d7a0] Update upstream signing key

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 08 Aug 2025 11:10:00 -0400

## liburcu 0.15.4

=== doc/examples/hlist/Makefile ===
# SPDX-FileCopyrightText: 2013 Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
#
# SPDX-License-Identifier: MIT

# This makefile is purposefully kept simple to support GNU and BSD make.

all:
	$(AM_V_at)$(MAKE) -f Makefile.cds_hlist_add_head_rcu
	$(AM_V_at)$(MAKE) -f Makefile.cds_hlist_del_rcu
	$(AM_V_at)$(MAKE) -f Makefile.cds_hlist_for_each_rcu
	$(AM_V_at)$(MAKE) -f Makefile.cds_hlist_for_each_entry_rcu

.PHONY: clean
clean:
	$(AM_V_at)$(MAKE) -f Makefile.cds_hlist_add_head_rcu clean
	$(AM_V_at)$(MAKE) -f Makefile.cds_hlist_del_rcu clean
	$(AM_V_at)$(MAKE) -f Makefile.cds_hlist_for_each_rcu clean
	$(AM_V_at)$(MAKE) -f Makefile.cds_hlist_for_each_entry_rcu clean

=== debian/changelog ===
liburcu (0.15.4-1) unstable; urgency=medium

  * [67a2d7c] New upstream version 0.15.4

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 05 Nov 2025 13:22:36 -0500

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq ($(DEB_HOST_ARCH_CPU), sparc)
	DEB_CFLAGS_MAINT_APPEND += -Wa,-Av9a
endif

ifeq ($(DEB_HOST_ARCH_CPU), m68k)
	# GCC on m68k generates invalid asm when TLS is enabled
	ADD_CONFIG_FLAGS = --disable-compiler-tls
endif

ifeq ($(DEB_HOST_ARCH_CPU), riscv64)
	# GCC on riscv64 generates invalid asm when TLS is enabled
	ADD_CONFIG_FLAGS = --disable-compiler-tls
endif

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--includedir=/usr/include/$(DEB_HOST_MULTIARCH) \
		$(ADD_CONFIG_FLAGS)

override_dh_makeshlibs:
	dh_makeshlibs -V --add-udeb=liburcu8-udeb

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test
	$(MAKE) regtest
endif

override_dh_auto_clean:
	dh_auto_clean
	find tests/regression -name '*.log' -delete
	find tests/regression -name '*.trs' -delete

## liburcu 0.15.5

=== doc/examples/lfstack/Makefile ===
# SPDX-FileCopyrightText: 2013 Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
#
# SPDX-License-Identifier: MIT

# This makefile is purposefully kept simple to support GNU and BSD make.

all:
	$(AM_V_at)$(MAKE) -f Makefile.cds_lfs_push
	$(AM_V_at)$(MAKE) -f Makefile.cds_lfs_pop_blocking
	$(AM_V_at)$(MAKE) -f Makefile.cds_lfs_pop_all_blocking

.PHONY: clean
clean:
	$(AM_V_at)$(MAKE) -f Makefile.cds_lfs_push clean
	$(AM_V_at)$(MAKE) -f Makefile.cds_lfs_pop_blocking clean
	$(AM_V_at)$(MAKE) -f Makefile.cds_lfs_pop_all_blocking clean

=== debian/changelog ===
liburcu (0.15.5-1) unstable; urgency=medium

  * [e7fedf0] New upstream version 0.15.5

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 12 Nov 2025 11:00:24 -0500

=== debian/control ===
Source: liburcu
Priority: optional
Maintainer: Jon Bernard <jbernard@debian.org>
Uploaders: Michael Jeanson <mjeanson@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13)
Standards-Version: 4.7.2
Rules-Requires-Root: no
Section: libs
Vcs-Git: https://salsa.debian.org/debian/liburcu.git
Vcs-Browser: https://salsa.debian.org/debian/liburcu
Homepage: https://liburcu.org/

Package: liburcu-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, liburcu8t64 (= ${binary:Version})
Description: userspace RCU (read-copy-update) library - development files
 This data synchronization library provides read-side access which scales
 linearly with the number of cores. It does so by allowing multiples copies of
 a given data structure to live at the same time, and by monitoring the data
 structure accesses to detect grace periods after which memory reclamation is
 possible.
 .
 Install this package if you wish to develop your own programs using the
 userspace RCU library.

Package: liburcu8t64
Provides: ${t64:Provides}
Replaces: liburcu8
Breaks: liburcu8 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: userspace RCU (read-copy-update) library
 This data synchronization library provides read-side access which scales
 linearly with the number of cores. It does so by allowing multiples copies of
 a given data structure to live at the same time, and by monitoring the data
 structure accesses to detect grace periods after which memory reclamation is
 possible.

Package: liburcu8-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: userspace RCU (read-copy-update) library -- udeb
 This is a udeb version of liburcu8.

## liburcu 0.15.6

=== debian/changelog ===
liburcu (0.15.6-1) unstable; urgency=medium

  * [7565918] New upstream version 0.15.6
  * [54a541b] d/control: Update to new standards

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 26 Jan 2026 13:36:26 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: liburcu
-Priority: optional
 Maintainer: Jon Bernard <jbernard@debian.org>
 Uploaders: Michael Jeanson <mjeanson@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13)
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Section: libs
 Vcs-Git: https://salsa.debian.org/debian/liburcu.git
 Vcs-Browser: https://salsa.debian.org/debian/liburcu
